=== examples/fetch_content/dependencies/CMakeLists.txt ===
include(FetchContent)

# You can configure this for your need, presumbably you want speificy a git tag here instead of a branch
FetchContent_Declare(sqliteOrm
  GIT_REPOSITORY https://github.com/fnc12/sqlite_orm
  GIT_TAG        origin/dev
)

add_subdirectory(sqlite_orm)
