=== examples/fetch_content/dependencies/sqlite_orm/CMakeLists.txt ===
# Set here options for sliteOrm 
# for example set(BUILD_TESTING ON) if you want to have tests included of sqliteOrm
FetchContent_MakeAvailable(sqliteOrm)
